
package org.quintet;


public class QuintetException extends Exception 
{
	
   static final long serialVersionUID = 200501001;
   private Throwable originalException = null;
   
   /**
   @param msg
   @param orig
   @roseuid 4288C690007A
    */
   public QuintetException(String msg, Throwable orig) 
   {
		super(msg);
		setOriginalException(orig);    
   }
   
   /**
   @param msg
   @roseuid 4288C6900070
    */
   public QuintetException(String msg) 
   {
		super(msg);    
   }
   
   /**
   @roseuid 4288C6900066
    */
   public QuintetException() 
   {
		super();    
   }
   
   /**
   @param orig
   @roseuid 4288C690000C
    */
   public void setOriginalException(Throwable orig) 
   {
		originalException = orig;    
   }
   
   /**
   @return java.lang.Exception
   @roseuid 4288C6900049
    */
   public Throwable getOriginalException() 
   {
		return originalException;    
   }


	public Throwable getCause(){
		return originalException;
	}
}
