package org.quintet.backbeat;

import org.quintet.QuintetException;

public class BackBeatException extends QuintetException
{
	static final long serialVersionUID = 200501001;
   /**
   @param inMsg - The new Exception's diagnostic message
   @param cause - The <code>Throwable</code> being wrapped by this <code>BackBeatException</code>
   @roseuid 401A95CD00BF
    */
   public BackBeatException(String inMsg, Throwable inOriginal)
   {
   	super(inMsg,inOriginal);
   }

   /**
   @roseuid 4017FDCF0392
    */
   public BackBeatException()
   {
    super();
   }

   /**
   Construct an BackBeatException containing the diagnostic message <code>inMsg</code>
   @param inMsg - The new Exception's diagnostic message
   @roseuid 4017FD8C0255
    */
   public BackBeatException(String inMsg)
   {
    super(inMsg);
   }
}
