package org.quintet.backbeat.supplier;

import javax.ejb.EJBObject;
import java.rmi.RemoteException;

public interface SessionSupplier extends EJBObject
{

   /**
   Acquire information on behalf of (and within the context defined by)
   <code>inRequestID</code>.  Return the information as an <code>Object</code>, or
   return null if no return is necessary.

   @param inRequestID - The ID of the request that goaded this
   <code>Supplier</code> into action
   @return java.lang.Object
   @throws org.quintet.backbeat.supplier.SupplierException
   @throws java.rmi.RemoteException
   @roseuid 411A3ABF000A
    */
   public Object acquireInformation(String inRequestID) throws SupplierException, RemoteException;
}
