package org.quintet.backbeat.supplier;

import javax.ejb.EJBHome;
import javax.ejb.CreateException;
import java.rmi.RemoteException;

/**
Home interface for creating <code>SessionSupplier</code> instances.
 */
public interface SessionSupplierHome extends EJBHome 
{
   
   /**
   Create a <code>SessionSupplier</code> instance.  <code>SessionSupplier</code> 
   is a stateless session bean, therefore this is the only <code>create</code> 
   method, and it takes no parameters.
   @return org.quintet.backbeat.supplier.SessionSupplier
   @throws javax.ejb.CreateException
   @throws java.rmi.RemoteException
   @roseuid 411A3BA90075
    */
   public SessionSupplier create() throws CreateException, RemoteException;
}
