package org.quintet.backbeat.transformer;

/**
 * <code>BackBeatExceptionToXML</code> converts a
 * @author Peter Thaggard
 * @version 1.0
 */
public class BackBeatExceptionToXML implements Transformer {
  public BackBeatExceptionToXML() {
  }

  /**
   * Transform <code>inRawData</code> to a new manifestation and return the new
   * manifestation to the client.
   *<br>
   * Preconditions:<br>
   * <li>inRawData IS NOT NULL
   * <li>inRawData instanceof <code>org.quintet.backbeat.BackBeatException</code><br>
   * @param inRawData - The raw data to be transformed to a new manifestation
   * @return java.lang.Object
   * @throws TransformerException
   */
  public Object transform(Object inRawData) throws TransformerException {
    if(null == inRawData){
      return null;
    }else
      return null;
  }
}
