package org.quintet.backbeat.validation;


public interface Validator
{

   /**
   Validate <code>inObject</code>.  Throw <code>ValidationException</code> if the
   validation fails.  Return the validated object if validation succeeds.

   @param inObject - The object being validated
   @return Object
   @throws com.freddiemac.backbeat.validation.ValidationException
   @roseuid 4117662D02CA
    */
   public Object validate(Object inObject) throws ValidationException;
}
