package org.quintet.chambers;

import org.quintet.backbeat.BackBeatException;
/**
	*<code>EntityRetriever</code>s throw <code>RetrieverException</code> when initialization fails (e.g., the <code>EntityRetriever</code>'s deployment descriptor entries are incorrect) or when a retrieve operation fails (e.g., a <code>FinderException</code> is raised by the EJB container).
	*@author Peter Thaggard
	*@version 1.0
	*@since UPS Release 2004.2
**/

public class RetrieverException extends BackBeatException{
	public RetrieverException(){
		super();
	}

	public RetrieverException(String inMsg){
		super(inMsg);
	}

	public RetrieverException(String inMsg, Throwable inOriginal){
		super(inMsg, inOriginal);
	}
}
