package org.quintet.miles;

import org.quintet.miles.Range;

/**
	An <code>ARL</code> is an <i>Aggregation Resource Locator</i>, essentially
	an address of a particular node within a tree of aggregations.  For example,
	an <code>ARL</code> might look like <br>
	<code><i>/org=quintet,principal=pthaggard/event=checkin</i></code><br>
**/
public class ARL{

         private String fullARL = null;

         private Range root = null;

         /**
           Construct an <code>ARL</code> to traverse the
           aggregations rooted at <code>topLevel</code>
          **/
         public static ARL createARL(Range topLevel) {

           ARL answer = new ARL(topLevel);
           return answer;
         }

         private ARL(Range topLevel) {
           //setRoot(topLevel);
         }

         public String find(String query) {
           return null;
         }
       }









