package org.quintet.miles;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.lang.annotation.ElementType;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface AggregationAttribute {
  String dnName();
  String fromClauseName();
  String whereClauseName();
  boolean requiresQuotes();
  boolean isTimeInMillis() default false;
}
