package org.quintet.monk;

import java.lang.reflect.Method;
import java.beans.IntrospectionException;
import java.beans.PropertyDescriptor;

public class LongXMLInfo extends XMLInfo
{

   /**
   @roseuid 42EF92C900BC
    */
   public LongXMLInfo() throws XMLInfoException
   {
     this.setObjectClass(java.lang.Long.class);
     this.setElementName("double-value");
     Method getter = null;
     try {
       getter = getObjectClass().getMethod("toString", (Class[])null);
     }
     catch (SecurityException ex) {
       throw new XMLInfoException(
           "SecurityException when getting toString from Double", ex);
     }
     catch (NoSuchMethodException ex) {
       throw new XMLInfoException(
           "NoSuchMethodException when getting toString from Double", ex);
     }
     try {
       PropertyDescriptor kludge = new PropertyDescriptor("value", getter, null);
       this.addAttribute(kludge);
     }
     catch (IntrospectionException ex1) {
       throw new XMLInfoException("IntrospectionException when trying to " +
                                  "create a 'toString' Property Descriptor", ex1);
     }

   }
}
