package org.quintet.backbeat.io;

import org.quintet.backbeat.BackBeatException;
/**
 *
 * <p>Title: ForwardConduit</p>
 * <p>Description: The <code>ForwardConduit</code> interface fecilitates
 * forwarding data out to the external world.  Any class that implements
 * this interface will turn its internal-format data into an external
 * format.
 * <p>Copyright: Copyright (c) 2004</p>
 * @version 2.1
 */

public interface ForwardConduit {
   public Object forwardData(Object data) throws BackBeatException;
}
