package org.quintet.backbeat.supplier;

import javax.ejb.*;

/**
 * <p>Title: </p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2006</p>
 *
 * <p>Company: 6th Sense Analytics</p>
 *
 * @author Peter Thaggard
 * @version 2006.1
 */
public interface LocalSessionSupplier
    extends EJBLocalObject {

  /**
  Acquire information on behalf of (and within the context defined by)
  <code>inRequestID</code>.  Return the information as an <code>Object</code>, or
  return null if no return is necessary.

  @param inRequestID - The ID of the request that goaded this
  <code>Supplier</code> into action
  @return java.lang.Object
  @throws org.quintet.backbeat.supplier.SupplierException
  @throws java.rmi.RemoteException
  @roseuid 411A3ABF000A
   */
   public Object acquireInformation(String inRequestID) throws SupplierException;
}
