package org.quintet.backbeat.transformer;

/**
 * <code>StringReverser</code> demonstrates how a non-Quintet object can be used as a
 * <code>Passage</code> in a <code>Composition</code>.
 * @author peter
 *
 */
public class StringReverser {

	private String prefix;

	public String getPrefix(){
		return prefix;
	}

	public void setPrefix(String newValue){
		prefix = newValue;
	}

	public Object play(String context){
		StringBuffer answer = new StringBuffer(getPrefix());
		String raw = (String)context;
		for(int idx = raw.length()-1; idx >= 0; idx--){
			answer.append(raw.charAt(idx));
		}
		return answer.toString();
	}

}
