package org.quintet.backbeat.transformer;

import java.io.IOException;
import java.io.InputStream;
import java.util.logging.Logger;
import java.util.logging.Level;

/**
 * <p> </p>
 *
 * <p> </p>
 *
 * <p>Copyright: Copyright (c) 2006</p>
 *
 * <p>Company: 6th Sense Analytics</p>
 *
 * @author Peter Thaggard
 * @version 1.0
 */
public class TransformerUtils {

  private static final Logger log = Logger.getLogger("org.quintet.backbeat");

  public TransformerUtils() {
  }


  public static String getStringFromInputStream(InputStream is) throws TransformerException{
    StringBuffer answer = new StringBuffer();
    java.io.InputStreamReader isr = new java.io.InputStreamReader(is);
    int numBytes = 0;
    try{
      numBytes = is.available();
    }catch(IOException ioe){
      String err = "IOException when invoking is.available()";
      log.log(Level.SEVERE,err,ioe);
      throw new TransformerException(err,ioe);
    }

    try{
      char[] contents = new char[numBytes];
      isr.read(contents);
      answer.append(contents);
      return answer.toString();
    }catch(IOException ioe){
      String err = "IOException when invoking isr.read(char[])";
      log.log(Level.SEVERE,err,ioe);
      throw new TransformerException(err,ioe);
    }
  }
}
