package org.quintet.chambers;
import org.quintet.monk.Builder;

/**An <code>EBuilder</code> is a <code>Builder</code> that is capable of handling
 * EJBs.
 * @author Peter Thaggard
 * @since 2005
 * @version 1.0
 */

public class EBuilder extends Builder{

  /**
  The name to pass to <code>InitialContext.lookup()</code> when fetching this
  <code>Builder</code>'s <code>target</code>
   */
  private String jndiName = null;

  public EBuilder() {
  }

  /**
Access method for the jndiName property.

@return   the current value of the jndiName property
 */
public String getJndiName()
{
 return jndiName;
}

/**
Sets the value of the jndiName property.

@param aJndiName the new value of the jndiName property
 */
public void setJndiName(String aJndiName)
{
 jndiName = aJndiName;
}

}
