package org.quintet.miles;

import java.util.*;

/**
 * <p> </p>
 *
 * <p> </p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * <p>Company: 6th Sense Analytics</p>
 *
 * @author Peter Thaggard
 * @version 1.0
 */
public class BinaryRangeComparator
    implements Comparator {
  public BinaryRangeComparator() {
  }

  /**
   * Compares its two arguments for order.
   *
   * @param o1 the first object to be compared.
   * @param o2 the second object to be compared.
   * @return a negative integer, zero, or a positive integer as the first
   *   argument is less than, equal to, or greater than the second.
   * @todo Implement this java.util.Comparator method
   */
  public int compare(Object o1, Object o2) {
    Long LHSFloor = null;
    Long LHSCeiling = null;
    Long RHSLong = null;
    if(o1 instanceof BinaryRange){
      LHSFloor = ((BinaryRange<Long>)o1).getFloor();
      LHSCeiling = ((BinaryRange<Long>)o1).getCeiling();
    }
    if(o2 instanceof Long){
      RHSLong = (Long)o2;
    }else
      throw new IllegalStateException("RHS should be a Long, got a " + o2.getClass().getName());

    long floorLong = LHSFloor.longValue();
    long ceilingLong = LHSCeiling.longValue();
    long rhsLong = RHSLong.longValue();
    if(rhsLong >= floorLong && rhsLong <= ceilingLong)
      return 0;
    else if(rhsLong < floorLong)
      return 1;
    else
      return -1;
  }
}
