package org.quintet.miles;

import java.util.Collection;
import java.util.ArrayList;
import java.lang.reflect.Method;
import java.lang.reflect.InvocationTargetException;
import java.lang.Cloneable;
import java.lang.CloneNotSupportedException;

public class TestPrimaryKey implements Cloneable{

  public Object clone() {
      TestPrimaryKey newOne = new TestPrimaryKey(getCusip(),getID().intValue());
      newOne.strings.addAll(strings);
      return newOne;
  }

  private Collection strings = new java.util.ArrayList();


  private String cusip = null;
  public String getCusip() {
    return cusip;
  }

  private Integer id = null;
  public Integer getID() {
    return id;
  }

  public TestPrimaryKey(String inCusip, int inID) {
    cusip = inCusip;
    id = new Integer(inID);
  }

  public static void main(String[] argv) {
    Collection getters = new ArrayList(2);
    try {
      getters.add(TestPrimaryKey.class.getMethod("getCusip", (Class[])null));
      getters.add(TestPrimaryKey.class.getMethod("getID", (Class[])null));
    }
    catch (NoSuchMethodException nsme) {
      System.err.println("NSME:  " + nsme);
      System.exit( -1);
    }

    TestPrimaryKey obj1 = new TestPrimaryKey("00112233", 100);
    obj1.strings.add("String 1");
    obj1.strings.add("String 2");
    TestPrimaryKey obj3 = (TestPrimaryKey)obj1.clone();
    obj3.strings.add("String 3");
    obj1.strings.add("String 4");
    TestPrimaryKey obj2 = new TestPrimaryKey("33445566", 200);
    try {
      PrimaryKey pk1 = new PrimaryKey(obj1, getters);
      PrimaryKey pk2 = new PrimaryKey(obj2, getters);
      System.out.println("obj1 == obj1 ? " + pk1.equals(pk1));
    }
    catch (AggregationException ae) {
      System.err.println("ae:  " + ae);
      System.exit( -2);
    }

  }
}
